Python Script not working to filter qty by 1

Hi All

I want to tag individual bars if they are single.


the python script is below


but it gives me an error. I just need to filter the list so it selects all bars with a single layout rule.

Hello,
the solution with dynamo nodes exists

edit:

with python script
import clr
import sys

clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *

Elem=UnwrapElement(IN[0])
container=[]

for e in Elem:
    temp=e.LookupParameter('Quantité').AsInteger()
    if temp==IN[1]:
       container.append(e)
    else:
        pass

OUT=container

Selection then Keyboard shortcut: Ctrl + E for code formatting
avoid rewriting everything for information

cordially
christian.stan

1 Like